return Def.ActorFrame{
  Name= "actor_jz",
  Def.ActorFrame{
    Name= "actor_kz",
    FOV= 60,
    OnCommand= function(self) gat_all_bg = self end,
    --Added zoomtos to all bg. -Kid
    Def.ActorFrame{
      Name= "actor_lz",
      OnCommand= function(self)
		gat_bg = self
		self:queuecommand('Position');
	end,
      PositionCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y),
      --Instead, we'll do messagecommands for everything, and I mean EVERYTHING. -Kid
      BGROT1MessageCommand= cmd(decelerate,90/150;rotationx,60;decelerate,90/150;rotationx,-60;decelerate,90/150;rotationx,0;rotationz,-45),
      BGROT2MessageCommand= cmd(accelerate,120/150;rotationz,22.5;decelerate,90/150;rotationz,90),
      BGROT3MessageCommand= cmd(decelerate,90/150;rotationz,45),
      BGROT4MessageCommand= cmd(decelerate,90/150;rotationx,-60;decelerate,90/150;rotationx,60;decelerate,90/150;rotationx,0),
      BGROT5MessageCommand= cmd(accelerate,120/150;rotationz,-45;decelerate,90/150;rotationz,-90),
      BGROT6MessageCommand= cmd(decelerate,90/150;rotationz,-45),
      BGROT7MessageCommand= cmd(decelerate,120/150;rotationz,0),
      Def.Sprite{
        Name= "actor_mz",
        BG2MessageCommand= cmd(linear,1;diffusealpha,0),
        BGMessageCommand= cmd(linear,1;diffusealpha,0.5),
        OnCommand= cmd(diffusealpha,0.5;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT),
        Texture= "../bg.png",
      },
      Def.Sprite{
        Name= "actor_nz",
        BG2MessageCommand= cmd(linear,1;diffusealpha,0.5),
        BG2QMessageCommand= cmd(diffusealpha,0.5),
        BG2QOffMessageCommand= cmd(diffusealpha,0),
        BG3MessageCommand= cmd(linear,1;diffusealpha,0),
        OnCommand= cmd(diffusealpha,0;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT),
        Texture= "../bg2.png",
      },
      Def.Sprite{
        Name= "actor_oz",
        BG3MessageCommand= cmd(linear,1;diffusealpha,0.5),
        BG3QMessageCommand= cmd(diffusealpha,0.5),
        BG3SlowOffMessageCommand= cmd(linear,5;diffusealpha,0),
        BG4MessageCommand= cmd(linear,1;diffusealpha,0),
        BG4QMessageCommand= cmd(diffusealpha,0),
        OnCommand= cmd(diffusealpha,0;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT),
        Texture= "../bg3.png",
      },
      Def.Sprite{
        Name= "actor_pz",
        BG4MessageCommand= cmd(linear,1;diffusealpha,0.5),
        BG4QMessageCommand= cmd(diffusealpha,0.5),
        OnCommand= cmd(diffusealpha,0;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT),
        Texture= "../bg4.png",
      },
    },
  },
}
